var e = require("../../common/vendor.js");
Array || e.resolveComponent("uni-icons")(), Math;
var o = {
    __name: "index",
    props: { visible: { type: Boolean, default: !1 } },
    setup: function (o) {
      var r = function () {
        e.index.pageScrollTo({ scrollTop: 0, duration: 100 });
      };
      return function (n, t) {
        return e.e(
          { a: o.visible },
          o.visible
            ? {
                b: e.p({ type: "arrow-up", size: "24", color: "#1F68E9" }),
                c: e.o(r),
              }
            : {}
        );
      };
    },
  },
  r = e._export_sfc(o, [["__scopeId", "data-v-f87a1e9e"]]);
wx.createComponent(r);
